CVE-2023-5380

NameCVE-2023-5380
DescriptionA use-after-free flaw was found in the xorg-x11-server. An X server crash may occur in a very specific and legacy configuration (a multi-screen setup with multiple protocol screens, also known as Zaphod mode) if the pointer is warped from within a window on one screen to the root window of the other screen and if the original window is destroyed followed by another window being destroyed.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, GitHub advisories/code/issues, web search, more)
ReferencesDLA-3631-1, DSA-5534-1

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
xorg-server (PTS)buster2:1.20.4-1+deb10u4vulnerable
buster (security)2:1.20.4-1+deb10u13fixed
bullseye (security), bullseye2:1.20.11-1+deb11u11fixed
bookworm, bookworm (security)2:21.1.7-3+deb12u5fixed
sid, trixie2:21.1.11-2fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
xorg-serversourcebuster2:1.20.4-1+deb10u10DLA-3631-1
xorg-serversourcebullseye2:1.20.11-1+deb11u8DSA-5534-1
xorg-serversourcebookworm2:21.1.7-3+deb12u2DSA-5534-1
xorg-serversource(unstable)2:21.1.9-1

Notes

https://lists.x.org/archives/xorg-announce/2023-October/003430.html
Fixed by: https://gitlab.freedesktop.org/xorg/xserver/-/commit/564ccf2ce9616620456102727acb8b0256b7bbd7

Search for package or bug name: Reporting problems